## de.ix.jspTutorial.database
Interface I_DatabaseBinder

All Known Implementing Classes:
  PizzaBinder, DatabaseGenericBinder

public interface I_DatabaseBinder

Objektfabrik für die Bindung eines ResultSet zu einem Objekt

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de)
See Also:
  `PizzaBinder`

Field Summary
`static java.lang.String` `vcid` Version

Method Summary
`I_DatabaseObject` `bind(java.lang.String aType, java.sql.ResultSet result)` Erzeuge ein Objekt aus der DB Zeile

Field Detail

### vcid

    public static final java.lang.String vcid

  Version

Method Detail

### bind

    public I_DatabaseObject bind(java.lang.String aType,
                                 java.sql.ResultSet result)
                          throws java.sql.SQLException

  Erzeuge ein Objekt aus der DB Zeile
  Parameters:
    `result` - aktuelle Zeile des DB Cursors
  Returns:
    Ein Datenbank Objekt

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~